Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • backlog
  • board
  • epic
  • issue
  • sprint
  • application-properties
  • applicationrole
  • attachment
  • avatar
  • cluster
  • comment
  • component
  • configuration
  • customFieldOption
  • customFields
  • dashboard
  • email-templates
  • field
  • filter
  • group
  • groups
  • groupuserpicker
  • index-snapshot
  • index
  • issueLinkType
  • issuesecurityschemes
  • issuetype
  • issuetypescheme
  • jql
  • licenseValidator
  • monitoring
  • mypermissions
  • mypreferences
  • myself
  • notificationscheme
  • password
  • permissions
  • permissionscheme
  • priority
  • priorityschemes
  • project
  • projectCategory
  • projects
  • projectvalidate
  • reindex
  • resolution
  • role
  • screens
  • securitylevel
  • serverInfo
  • settings
  • status
  • statuscategory
  • terminology
  • universal_avatar
  • upgrade
  • user
  • version
  • workflow
  • workflowscheme
  • worklog
  • session
  • websudo
Server
Jira Data Center / / Modules

projectCategory

Postman Collection
OpenAPI
GET

Get all project categories

Returns all project categories

Forge and OAuth2 apps cannot access this REST resource.

Request

This request has no parameters.

Responses

Returns a list of all project categories.

application/json

ProjectCategoryJsonBean
GET/api/2/projectCategory
1 2 3 4 curl --request GET \ --url 'http://{baseurl}/rest/api/2/projectCategory' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
POST

Create project category

Create a project category.

Forge and OAuth2 apps cannot access this REST resource.

Request

Request bodyapplication/json

The project category to create.

description

string

id

string

name

string

self

string

Responses

Returned if the project category is created successfully.

application/json

ProjectCategoryJsonBean
POST/api/2/projectCategory
1 2 3 4 5 curl --request POST \ --url 'http://{baseurl}/rest/api/2/projectCategory' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json'
GET

Get project category by ID

Returns a full representation of the project category that has the given id.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

integer

Required

Responses

Returned if the project category exists and is visible by the calling user.

application/json

ProjectCategoryJsonBean
GET/api/2/projectCategory/{id}
1 2 3 4 curl --request GET \ --url 'http://{baseurl}/rest/api/2/projectCategory/{id}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json'
PUT

Update project category

Modify a project category.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

integer

Required

Request bodyapplication/json

The project category to modify.

description

string

id

string

name

string

self

string

Responses

Returned if the project category exists and the currently authenticated user has permission to edit it.

application/json

ProjectCategoryJsonBean
PUT/api/2/projectCategory/{id}
1 2 3 4 5 curl --request PUT \ --url 'http://{baseurl}/rest/api/2/projectCategory/{id}' \ --user 'email@example.com:<api_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json'
DEL

Delete project category

Delete a project category.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

id

integer

Required

Responses

Returned if the project category is successfully deleted.

DEL/api/2/projectCategory/{id}
1 2 3 curl --request DELETE \ --url 'http://{baseurl}/rest/api/2/projectCategory/{id}' \ --user 'email@example.com:<api_token>'

Rate this page: